Skip to navigation

List Unit Of Basis By Country And Tax Type And Tax Sub Type And Rate Type

View as Markdown

Access control: this endpoint is available to users with the everyone role.

Retrieves the list of applicable UnitOfBasis

Authentication

Authorizationstring
API Key authentication via header

Path parameters

countrystringRequired
The country for which you want to retrieve the unitofbasis information
taxTypeIdstringRequired
The taxtype for which you want to retrieve the unitofbasis information
taxSubTypeIdstringRequired
The taxsubtype for which you want to retrieve the unitofbasis information

Headers

X-Avalara-ClientstringOptionalDefaults to Swagger UI; 26.7.0; Custom; 1.0

Identifies the software you are using to call this API. For more information on the client header, see Client Headers .

Query parameters

rateTypeIdstringRequired
The ratetype for which you want to retrieve the unitofbasis information
$topintegerOptional

If nonzero, return no more than this number of results. Used with $skip to provide pagination for large datasets. Unless otherwise specified, the maximum number of records that can be returned from an API call is 1,000 records.

$skipintegerOptional

If nonzero, skip this number of results before returning data. Used with $top to provide pagination for large datasets.

$orderBystringOptional

A comma separated list of sort statements in the format (fieldname) [ASC|DESC], for example id ASC.

Response

Success
@recordsetCountintegerOptional
valuelist of objectsOptional
pageKeystringOptional